undefined method `<=>' for nil:NilClass when accessing the settings of a project
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 1.3.2   

Resolution: Fixed Affected version: 1.1.2

Description

Hi,

I have this error when I access a specific project:

ActionView::TemplateError (undefined method `<=>' for nil:NilClass) on line #3 of app/views/projec

ts/settings/_members.rhtml:

1: <%= error_messages_for 'member' %>

2: <% roles = Role.find_all_givable

3:    members = @project.member_principals.find(:all, :include => [:roles, :principal]).sort %>

4: 

5: <div class="splitcontentleft">

6: <% if members.any? %>

    app/models/member.rb:53:in `<=>'

    app/views/projects/settings/_members.rhtml:3:in `sort'

    app/views/projects/settings/_members.rhtml:3:in `_run_rhtml_app47views47projects47settings47_m

embers46rhtml_locals_members_object_tab'

    app/views/common/_tabs.rhtml:24:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_

tabs'

    app/views/common/_tabs.rhtml:23:in `each'

    app/views/common/_tabs.rhtml:23:in `_run_rhtml_app47views47common47_tabs46rhtml_locals_object_

tabs'

    app/helpers/application_helper.rb:204:in `render_tabs'

    app/views/projects/settings.rhtml:3:in `_run_rhtml_app47views47projects47settings46rhtml'

Rendering /data/www/redmine/public/500.html (500 Internal Server Error)

 I have found this old issue: http://www.redmine.org/issues/4563, but executing:

ruby /var/www/redmine/script/runner -e production "Member.find(:all, :include => [:roles, :princip

al]).select {|m| m.roles.empty? || m.principal.nil?}"

do not return anything.    

Am I doing something wrong or is this actually a bug?

If this is a DB problem, can you point me how to fix it?

Thanks.

Related issues:

Related to Redmine - Defect #32704: ActionView::Template::Error (undefined me... Closed

Associated revisions

Revision 8863 - 2012-02-12 15:54 - Jean-Philippe Lang

Fixed potential error when sorting members without role (#10053).

History
#1 - 2012-01-25 09:34 - Jordi Clariana

Forgot to mention my Redmine version: 1.3.0, I can't see how to update "Affected version" field...

#2 - 2012-01-30 14:13 - Derick Potgieter

Having the same issue only on certain projects. I have over 100 projects on redmine clustered over 3 mongrel servers with an apache load balancer

in front. Most projects worked but some return this error after upgrading to 1.3.0

#3 - 2012-01-30 14:29 - Robson Peixoto

I solved it removing all user of the project direct from DB.

#4 - 2012-01-30 14:46 - Etienne Massip

Please give details according to SubmittingBugs.

And try to reproduce with no plugin installed.

#5 - 2012-01-31 09:56 - Jordi Clariana

Hi,

Etienne, here you have more info:

Database Version: Mysql 5.1.49

Ruby Version: 1.8.7

Rails Version: 2.3.5

Redmine Version: 1.1.2 (I said it was 1.3.0, but I was looking at Help tab, and it was a redirection to redmine.org, I didn't notice it :S)

I assume that the error stack trace is what I already posted.

About plugins I can't test it now (there's a lot of people working on this Redmine installation right now), but I'm preparing a test installation and I will try

to reproduce the same error.

#6 - 2012-01-31 10:18 - Etienne Massip

- Affected version (unused) set to 1.1.2

- Affected version set to 1.1.2

#7 - 2012-02-12 15:25 - Jordi Clariana

Finally I tested it without plugins, and I get the same error.

Increasing log to debug did not help either. I just see the last SQL query, but I don't think is important, because it's run by

'project.member_principals.find' function, and what is really failing here is the data handling (I guess).

Any ideas?

Thanks.

#8 - 2012-02-12 15:57 - Jean-Philippe Lang

- Category set to Project settings

- Status changed from New to Confirmed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

You may have an inconsistent member (eg. member without roles) in your database and the sort method raises an error.

This should be fixed by r8863.

#9 - 2012-02-12 19:22 - Jordi Clariana

After applying the patch the error vanished and no further misfunction detected.

This is resolved to me.

Thanks.

#10 - 2012-02-12 20:43 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Target version set to 1.3.2
Thanks for the feedback.

#11 - 2012-02-12 20:43 - Jean-Philippe Lang

- Subject changed from ActionView::TemplateError when accessing the settings of a project to undefined method `<=>' for nil:NilClass when accessing

the settings of a project

#12 - 2012-03-05 13:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#13 - 2020-06-01 14:46 - Go MAEDA

- Related to Defect #32704: ActionView::Template::Error (undefined method `position' for nil:NilClass): added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

